LibreOffice: XContentIdentifierMapping Interface Reference

LibreOffice LibreOffice 7.1 SDK API Reference

Public Member Functions | List of all members
XContentIdentifierMapping Interface Referencepublished

A mapping from a (source) set of XContentIdentifiers to another (target) set of XContentIdentifiers. More...

`import"XContentIdentifierMapping.idl";`

Inheritance diagram for XContentIdentifierMapping:

## Public Member Functions
string | mapContentIdentifierString ([in] string Source)
| Map the string representation of an XContentIdentifier. More...
XContentIdentifier | mapContentIdentifier ([in] XContentIdentifier Source)
| Map an XContentIdentifier. More...
XContent | mapContent ([in] XContent Source)
| Map the XContent identified by an XContentIdentifier. More...
boolean | mapRow ([inout] sequence< any > Value)
| Map the content identifiers (or related data) contained in the columns of a com::sun::star::sdbc::XRow. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A mapping from a (source) set of XContentIdentifiers to another (target) set of XContentIdentifiers.

For convenience and performance, mapping between the string representations of source/target XContentIdentifiers, as well as mapping between XContents identified by source/target XContentIdentifiers is also supported.

This interface can be useful in cases where the identifiers (and associated contents) returned by the various methods of an XContentAccess need to be mapped to some other space of identifiers (and associated contents).

See also
  XContent
  XContentAccess
  XContentIdentifier

## Member Function Documentation

## ◆ mapContent()

XContent mapContent | ( | [in] XContent | Source | ) |

Map the XContent identified by an XContentIdentifier.

Parameters

  Source | The XContent identified by an XContentIdentifier from the source set.

Returns
  The XContent identified by the target set's XContentIdentifier corresponding to the source identifier. The returned XContent may be null if either Source was null already, or if there's no applicable target to map to.

## ◆ mapContentIdentifier()

XContentIdentifier mapContentIdentifier | ( | [in] XContentIdentifier | Source | ) |

Map an XContentIdentifier.

Parameters

  Source | An XContentIdentifier from the source set.

Returns
  The target set's XContentIdentifier corresponding to the source identifier. The returned XContentIdentifier may be null if either Source was null already, or if there's no applicable target to map to.

## ◆ mapContentIdentifierString()

string mapContentIdentifierString | ( | [in] string | Source | ) |

Map the string representation of an XContentIdentifier.

Parameters

  Source | The string representation of an XContentIdentifier from the source set.

Returns
  The string representation of the target set's XContentIdentifier corresponding to the source identifier. The returned string may be empty if either Source was empty already, or if there's no applicable target to map to.

## ◆ mapRow()

boolean mapRow | ( | [inout] sequence< any > | Value | ) |

Map the content identifiers (or related data) contained in the columns of a com::sun::star::sdbc::XRow.

Parameters

  Value | On input, a sequence of anys corresponding to the columns of the XRow (the first column goes into the zeroth position of the sequence, and so on). On output, the same sequence, but with the entries mapped as necessary. This is an inout parameter rather than a combination of in parameter and return value for performance reasons (assuming that in most cases most elements in the input sequence will be returned unmodified).

Returns
  `TRUE` if any of the columns contain data that (potentially) needs mapping (though maybe no mapping occurred for the concrete input data of this call). This information can be useful to decide whether, for another row, a call to this function is at all necessary.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XContentIdentifierMapping.idl